﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain.DTO;

namespace Domain.DTO
{
    namespace DialogueModels
    {
        public class ScoreObject
        {
            public DataCase Case { get; set; }
            public double Score { get; set; }
        }

        public class LeaveOneOutResultModel
        {
            public double NumberOfMatchingCases { get; set; }
            public double Effectiveness { get; set; }

            public double NumberOfQuestionsAsked { get; set; }
            public double CaseBaseCount { get; set; }
            public double PercentCorrect { get; set; }
            public double RetrievalSetSize { get; set; }
            public double Score { get; set; }
            public double AverageScore { get; set; }
            public double ScoreOfRetrievelSet { get; set; }
            public int NumberOfQuestionsTotal { get; set; }
            public double Alpha { get; set; }
            public string ThresholdFunction { get; set; }
            public double ThresholdValue { get; set; }
            public string AttributeSelectionFunction { get; set; }
            public string SimilartyFunction { get; set; }
            public int Longest { get; set; }
            public int Shortest { get; set; }
            public int K { get; set; }
            public string LocalOrGlobal { get; set; }
        }

        public class HighchartModel
        {
            public string Name { get; set; }
            public object[] Data { get; set; }
        }

        public class DialogueStateModel
        {
            public AttributeType Question { get; set; }
            public DataClass DataClass { get; set; }
            public List<ScoreObject> ScoreObjects { get; set; }
            public List<DataCase> DataCasesWithSameAttributes { get; set; }
            public int NumberOfAskedQuestions { get; set; }
            public string Message { get; set; }
            public List<DataAttribute> CurrentQuery { get; set; }
        }

        public enum CcbrAlgorithms { NaCoDAE = 0, iNNk = 1 }
        public enum SimilartyFunctions { iNNk = 0, NaCoDAE = 1 }
        public enum AttributeSelectionFunctions { Default = 0, InformationGain = 1, OccuranceFrequency = 2 }
        public enum ThresholdFunctions { ScoreThresholdExceeded = 0, ClassDistributionThresholdExceeded = 1, AverageThresholdExceeded = 2 }
        public enum InferenceMethods { None = 0, RuleBased = 1, DataBased = 2 }
    }
}
