﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain.DTO;

namespace Domain.Implementation
{
    public static class AttributeTypeRepository
    {
        public static AttributeType GetById(int id)
        {
            using (var context = new DomainDbContext())
            {
                return context.AttributeTypes.Include(x=>x.MultiSelects).FirstOrDefault(x => x.Id == id);
            }
        }
        

        public static void Add(AttributeType model)
        {
            if(model.Name == "" || model.MinRange > model.MaxRange || model.Type == 0) return;
            using (var context = new DomainDbContext())
            {
                context.AttributeTypes.Add(model);
                context.SaveChanges();

            }
        }

        public static void Update(AttributeType model)
        {
            if (model.Id == 0) return;
            using (var context = new DomainDbContext())
            {
                var current = context.AttributeTypes.FirstOrDefault(x => x.Id == model.Id);
                if (current == null) return;

                current.MaxRange = model.MaxRange;
                current.MinRange = model.MinRange;
                current.Name = model.Name;
                current.Question = model.Question;
                current.MultiSelects = model.MultiSelects;
                context.SaveChanges();

            }
        }
    }
}
