﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Data.SqlTypes;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain.DTO;

namespace Domain.Implementation
{
    public static class DatasetRepository
    {
       public static DataSet GetById(int id)
       {
           if (id == 0) return null;
           using (var context = new DomainDbContext())
           {
               return context.DataSets.Include(x => x.AttributeTypes.Select(y => y.MultiSelects)).Include(x => x.AttributeTypes.Select(y => y.RelatedAttributes)).Include(x => x.DataClasses).FirstOrDefault(x => x.Id == id);
           }
       }

       public static List<DataSet> GetAll()
       {
           using (var context = new DomainDbContext())
           {
               return context.DataSets.ToList();
           }
       }

       public static DataSet Add(DataSet model)
       {
           if (model.Name == "") return null;
           using (var context = new DomainDbContext())
           {
               var addedObject = context.DataSets.Add(new DataSet()
               {
                   Name = model.Name,
                   AttributeTypes = model.AttributeTypes,
                   DataClasses = model.DataClasses
               });
               context.SaveChanges();
               return addedObject;
           }
       }
    }
}
