﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.IO;
using System.Linq;
using Domain.DTO;
using System.Globalization;

namespace Domain.Implementation
{
   public static class ImportDataSetRepository
    {

        static Random _random = new Random();

        public static string[] RandomizeStrings(string[] arr)
        {
            List<KeyValuePair<int, string>> list = new List<KeyValuePair<int, string>>();
            // Add all strings from array
            // Add new random int each time
            foreach (string s in arr)
            {
                list.Add(new KeyValuePair<int, string>(_random.Next(), s));
            }
            // Sort the list by the random number
            var sorted = from item in list
                         orderby item.Key
                         select item;
            // Allocate new string array
            string[] result = new string[arr.Length];
            // Copy values to array
            int index = 0;
            foreach (KeyValuePair<int, string> pair in sorted)
            {
                result[index] = pair.Value;
                index++;
            }
            // Return copied array
            return result;
        }


       public static void AddAcuteInflammationsDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/diagnosis.txt");
           var text = System.IO.File.ReadAllLines(file);
           using (var context = new DomainDbContext())
           {
               
           
           var dataSet = context.DataSets.Include(x=>x.AttributeTypes).Include(x=>x.DataClasses).FirstOrDefault(x=>x.Id == 1);
               if(dataSet == null) return;

            
               foreach (var line in text)
               {
                  
                   var lineToString = line.Trim();
                   var attr = lineToString.Split('\t');
                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   if (attr.Length == 8)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter >= 6) break;

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == counter);
                           //var localAttribute = context.AttributeTypes.FirstOrDefault(x => x.Id == attributeType.Id);
                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = stripped,
                               AttributeType = attributeType

                           });
                           counter ++;
                       }

                       if (attr[6] == "yes" && attr[7] == "yes")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 1);
                       }
                       else if (attr[6] == "yes")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 3);
                       }
                       else if (attr[7] == "yes")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 2);
                       }
                       else
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 4);
                       }
                      
                       context.DataCases.Add(dataCase);

                       

                   }
                   
               }
               context.SaveChanges();
           }
          // var text = System.IO.File.ReadAllLines()
           var test = file;
       }
       public static void AddCmcDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/cmc.txt");
           var text = System.IO.File.ReadAllLines(file);


           using (var context = new DomainDbContext())
           {


               var dataSet = context.DataSets.Include(x => x.AttributeTypes).Include(x => x.DataClasses).FirstOrDefault(x => x.Id == 2);
               if (dataSet == null) return;

               var numbersAdded = 1;

               foreach (var line in text)
               {
                   if (numbersAdded < 826)
                   {
                       numbersAdded++;
                       continue;
                   }
                   var lineToString = line.Trim();
                   var attr = lineToString.Split(',');
                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   if (attr.Length == 10)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter >= 9) break;

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == counter);
                           //var localAttribute = context.AttributeTypes.FirstOrDefault(x => x.Id == attributeType.Id);
                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = stripped,
                               AttributeType = attributeType

                           });
                           counter++;
                       }
                       
                       if (attr[9] == "1")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 5);
                       }
                       else if (attr[9] == "2")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 6);
                       }
                       else if (attr[9] == "3")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 7);
                       }
                      

                       context.DataCases.Add(dataCase);
                      
                       numbersAdded++;

                   }
               }
               context.SaveChanges();
           }
           // var text = System.IO.File.ReadAllLines()
           var test = file;
       }
       public static void AddDermatologyDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/dermatology.txt");
           var text = System.IO.File.ReadAllLines(file);


           using (var context = new DomainDbContext())
           {


               var dataSet = context.DataSets.Include(x => x.AttributeTypes).Include(x => x.DataClasses).FirstOrDefault(x => x.Id == 3);
               if (dataSet == null) return;

               var numbersAdded = 1;

               foreach (var line in text)
               {
                   
                   var lineToString = line.Trim();
                   var attr = lineToString.Split(',');
                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   if (attr.Length == 35)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter >= 34) break;

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == (counter + 1));
                           //var localAttribute = context.AttributeTypes.FirstOrDefault(x => x.Id == attributeType.Id);
                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = stripped,
                               AttributeType = attributeType

                           });
                           counter++;
                       }

                       if (attr[34] == "1")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 8);
                       }
                       else if (attr[34] == "2")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 9);
                       }
                       else if (attr[34] == "3")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 10);
                       }
                       else if (attr[34] == "4")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 11);
                       }
                       else if (attr[34] == "5")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 12);
                       }
                       else if (attr[34] == "6")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 13);
                       }


                       context.DataCases.Add(dataCase);

                       numbersAdded++;

                   }
                   else
                   {
                       var tt = "";
                       var aa = tt;
                   }
               }
               context.SaveChanges();
           }
           // var text = System.IO.File.ReadAllLines()
           var test = file;
       }
       public static void AddSPECTFDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/SPECTF-train.txt");
           var text = System.IO.File.ReadAllLines(file);


           using (var context = new DomainDbContext())
           {


               var dataSet = context.DataSets.Include(x => x.AttributeTypes).Include(x => x.DataClasses).FirstOrDefault(x => x.Id == 4);
               if (dataSet == null) return;

               var numbersAdded = 1;

               foreach (var line in text)
               {

                   var lineToString = line.Trim();
                   var attr = lineToString.Split(',');
                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   dataCase.TrainingCase = true;
                   if (attr.Length == 45)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter == 0)
                           {
                               counter ++;
                               continue;
                           }

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == (counter - 1));
                           //var localAttribute = context.AttributeTypes.FirstOrDefault(x => x.Id == attributeType.Id);
                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = stripped,
                               AttributeType = attributeType
                               

                           });
                           counter++;
                       }

                       if (attr[0] == "1")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 14);
                       }
                       else if (attr[0] == "0")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 15);
                       }
                       


                       context.DataCases.Add(dataCase);

                       numbersAdded++;

                   }
                   else
                   {
                       var tt = "";
                       var aa = tt;
                   }
               }
               context.SaveChanges();
           }
           // var text = System.IO.File.ReadAllLines()
           var test = file;
       }

       public static void AddSPECTDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/SPECT-test.txt");
           var text = System.IO.File.ReadAllLines(file);


           using (var context = new DomainDbContext())
           {


               var dataSet = context.DataSets.Include(x => x.AttributeTypes).Include(x => x.DataClasses).FirstOrDefault(x => x.Id == 5);
               if (dataSet == null) return;

               var numbersAdded = 1;

               foreach (var line in text)
               {

                   var lineToString = line.Trim();
                   var attr = lineToString.Split(',');
                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   dataCase.TrainingCase = false;
                   if (attr.Length == 23)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter == 0)
                           {
                               counter++;
                               continue;
                           }

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == (counter - 1));
                           //var localAttribute = context.AttributeTypes.FirstOrDefault(x => x.Id == attributeType.Id);
                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = (stripped == "1" ? "true" : "false"),
                               AttributeType = attributeType

                           });
                           counter++;
                       }

                       if (attr[0] == "1")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 16);
                       }
                       else if (attr[0] == "0")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 17);
                       }



                       context.DataCases.Add(dataCase);

                       numbersAdded++;

                   }
                   else
                   {
                       var tt = "";
                       var aa = tt;
                   }
               }
               context.SaveChanges();
           }
           // var text = System.IO.File.ReadAllLines()
           var test = file;
       }

       public static void AddSmokingDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/smoking.txt");
           var text = System.IO.File.ReadAllLines(file);
           Random rnd = new Random();
           string[] textRandom = text.OrderBy(x => rnd.Next()).Take(text.Count()/100).ToArray();
           
           using (var context = new DomainDbContext())
           {


               var dataSet = context.DataSets.Include(x => x.AttributeTypes).Include(x => x.DataClasses).FirstOrDefault(x => x.Id ==6);
               if (dataSet == null) return;

               var numbersAdded = 1;

               foreach (var line in textRandom)
               {

                   var lineToString = line.Trim();
                   lineToString = System.Text.RegularExpressions.Regex.Replace(lineToString, @"\s+", " ");
                   lineToString = lineToString.Replace(" ", ",");
                   var attr = lineToString.Split(',');
                   
                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   dataCase.TrainingCase = false;
                   if (attr.Length == 10)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter >= 8) break;

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == counter);
                           

                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = stripped,
                               AttributeType = attributeType
                           });
                           counter++;
                       }

                       if (attr[8] == "0")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 18);
                       }
                       else if (attr[8] == "1")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 19);
                       }
                       else if (attr[8] == "2")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 20);
                       }



                       context.DataCases.Add(dataCase);

                       numbersAdded++;

                   }
                   else
                   {
                       var tt = "";
                       var aa = tt;
                   }
               }
               context.SaveChanges();
           }
           // var text = System.IO.File.ReadAllLines()
           var test = file;
       }

       public static void AddHepatitisDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/hepatitis.txt");
           var text = System.IO.File.ReadAllLines(file);

           using (var context = new DomainDbContext())
           {


               var dataSet = context.DataSets.Include(x => x.AttributeTypes).Include(x => x.DataClasses).FirstOrDefault(x => x.Id == 7);
               if (dataSet == null) return;

               var numbersAdded = 1;

               foreach (var line in text)
               {

                   var lineToString = line.Trim();
                   var attr = lineToString.Split(',');

                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   dataCase.TrainingCase = false;
                   if (attr.Length == 20)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter == 0)
                           {
                               if (attribute == "1")
                               {
                                   dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 21);
                               }
                               else if (attribute == "2")
                               {
                                   dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 22);
                               }
                               counter++;
                               continue;
                           }

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == counter-1);

                           if (counter == 1)
                           {

                               var age = Int32.Parse(stripped);
                               if (age % 10 != 0)
                               {
                                   age = (10 - age % 10) + age;
                                   stripped = "" + age; 
                               }

                           }
                           else if (counter == 14)
                           {
                               if (stripped != "?")
                               {

                                   var val = double.Parse(stripped, CultureInfo.InvariantCulture);
                                   if (val <= 0.39)
                                   {
                                       stripped = "0.39";
                                   }
                                   else if (val <= 0.80)
                                   {
                                       stripped = "0.80";
                                   }
                                   else if (val <= 1.20)
                                   {
                                       stripped = "1.20";
                                   }
                                   else if (val <= 2.00)
                                   {
                                       stripped = "2.00";
                                   }
                                   else if (val <= 3.00)
                                   {
                                       stripped = "3.00";
                                   }
                                   else
                                   {
                                       stripped = "4.00";
                                   }

                               }
                           }
                           else if (counter == 15)
                           {
                               if (stripped != "?")
                               {
                                   var val = Int32.Parse(stripped);
                                   if (val <= 33)
                                   {
                                       stripped = "33";
                                   }
                                   else if (val <= 80)
                                   {
                                       stripped = "80";
                                   }
                                   else if (val <= 120)
                                   {
                                       stripped = "120";
                                   }
                                   else if (val <= 160)
                                   {
                                       stripped = "160";
                                   }
                                   else if (val <= 200)
                                   {
                                       stripped = "200";
                                   }
                                   else
                                   {
                                       stripped = "250";
                                   }
                               }
                           }
                           else if (counter == 16)
                           {
                               if (stripped != "?")
                               {
                                   var val = Int32.Parse(stripped);
                                   if (val <= 13)
                                   {
                                       stripped = "13";
                                   }
                                   else if (val <= 100)
                                   {
                                       stripped = "100";
                                   }
                                   else if (val <= 200)
                                   {
                                       stripped = "200";
                                   }
                                   else if (val <= 300)
                                   {
                                       stripped = "300";
                                   }
                                   else if (val <= 400)
                                   {
                                       stripped = "400";
                                   }
                                   else
                                   {
                                       stripped = "500";
                                   }
                               }
                           }
                           else if (counter == 17)
                           {
                               if (stripped != "?")
                               {
                                   var val = double.Parse(stripped, CultureInfo.InvariantCulture);
                                   if (val <= 2.1)
                                   {
                                       stripped = "2.1";
                                   }
                                   else if (val <= 3.0)
                                   {
                                       stripped = "3.0";
                                   }
                                   else if (val <= 3.8)
                                   {
                                       stripped = "3.8";
                                   }
                                   else if (val <= 4.5)
                                   {
                                       stripped = "4.5";
                                   }
                                   else if (val <= 5.0)
                                   {
                                       stripped = "5.0";
                                   }
                                   else
                                   {
                                       stripped = "6.0";
                                   }
                               }
                           }
                           else if (counter == 18)
                           {
                               if (stripped != "?")
                               {
                                   var val = Int32.Parse(stripped);
                                   if (val <= 10)
                                   {
                                       stripped = "10";
                                   }
                                   else if (val <= 20)
                                   {
                                       stripped = "20";
                                   }
                                   else if (val <= 30)
                                   {
                                       stripped = "30";
                                   }
                                   else if (val <= 40)
                                   {
                                       stripped = "40";
                                   }
                                   else if (val <= 50)
                                   {
                                       stripped = "50";
                                   }
                                   else if (val <= 60)
                                   {
                                       stripped = "60";
                                   }
                                   else if (val <= 70)
                                   {
                                       stripped = "70";
                                   }
                                   else if (val <= 80)
                                   {
                                       stripped = "80";
                                   }
                                   else
                                   {
                                       stripped = "90";
                                   }
                               }
                           }
                           else
                           {
                               if (stripped != "?")
                               {
                                   stripped = (stripped == "1"  ? "false" : "true");
                               }
                           }

                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = stripped,
                               AttributeType = attributeType
                           });
                           counter++;
                       }

                       context.DataCases.Add(dataCase);

                       numbersAdded++;

                   }
                   else
                   {
                       var tt = "";
                       var aa = tt;
                   }
               }
               context.SaveChanges();
           }
           // var text = System.IO.File.ReadAllLines()
           var test = file;
       }

       public static void AddHeartDiseaseDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/heart-disease.hungarian.reprocessed.txt");
           var text = System.IO.File.ReadAllLines(file);

           using (var context = new DomainDbContext())
           {


               var dataSet = context.DataSets.Include(x => x.AttributeTypes).Include(x => x.DataClasses).FirstOrDefault(x => x.Id == 8);
               if (dataSet == null) return;

               var numbersAdded = 1;

               foreach (var line in text)
               {

                   var lineToString = line.Trim();
                   var attr = lineToString.Split(' ');

                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   dataCase.TrainingCase = false;
                   if (attr.Length == 14)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter == 13)
                           {
                               if (attribute == "0")
                               {
                                   dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 23);
                               }
                               else if (attribute == "1")
                               {
                                   dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 24);
                               }
                               else if (attribute == "2")
                               {
                                   dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 25);
                               }
                               else if (attribute == "3")
                               {
                                   dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 26);
                               }
                               else if (attribute == "4")
                               {
                                   dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 27);
                               }
                               break;
                           }

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == counter);

                           if (counter == 2)
                           {
                               if (stripped == "1")
                               {
                                   stripped = "Typical angina";
                               }
                               else if (stripped == "2")
                               {
                                   stripped = "Atypical angina";
                               }
                               else if (stripped == "3")
                               {
                                   stripped = "Non-anginal pain";
                               }
                               else if (stripped == "4")
                               {
                                   stripped = "Asymptomatic";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else if (counter == 5 || counter == 8)
                           {
                               if (stripped == "0")
                               {
                                   stripped = "false";
                               }
                               else if (stripped == "1")
                               {
                                   stripped = "true";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else if (counter == 6)
                           {
                               if (stripped == "0")
                               {
                                   stripped = "Normal";
                               }
                               else if (stripped == "1")
                               {
                                   stripped = "Having ST-T wave abnormality";
                               }
                               else if (stripped == "2")
                               {
                                   stripped = "Showing probable or definite left ventricular hypertrophy";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else if (counter == 10)
                           {
                               if (stripped == "1")
                               {
                                   stripped = "Upsloping";
                               }
                               else if (stripped == "2")
                               {
                                   stripped = "Flat";
                               }
                               else if (stripped == "3")
                               {
                                   stripped = "Downsloping";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else if (counter == 12)
                           {
                               if (stripped == "3")
                               {
                                   stripped = "Normal";
                               }
                               else if (stripped == "6")
                               {
                                   stripped = "Fixed defect";
                               }
                               else if (stripped == "7")
                               {
                                   stripped = "Reversable defect";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else
                           {
                               stripped = (stripped == "-9" ? "?" : stripped);
                           }

                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = stripped,
                               AttributeType = attributeType
                           });
                           counter++;
                       }

                       context.DataCases.Add(dataCase);

                       numbersAdded++;

                   }
                   else
                   {
                       var tt = "";
                       var aa = tt;
                   }
               }
               context.SaveChanges();
           }
           // var text = System.IO.File.ReadAllLines()
           var test = file;
       }

       public static void AddFertilityDataSet()
       {
           var basePath = AppDomain.CurrentDomain.BaseDirectory;
           var file = Path.Combine(basePath, "Content/Datasets/fertility_Diagnosis.txt");
           var text = System.IO.File.ReadAllLines(file);

           using (var context = new DomainDbContext())
           {
               var dataSet = context.DataSets.Include(x => x.AttributeTypes).Include(x => x.DataClasses).FirstOrDefault(x => x.Id == 9);
               if (dataSet == null) return;

               var numbersAdded = 1;

               foreach (var line in text)
               {

                   var lineToString = line.Trim();
                   var attr = lineToString.Split(',');

                   var counter = 0;
                   var dataCase = new DataCase();
                   dataCase.Attributes = new List<DataAttribute>();
                   dataCase.DataSet = dataSet;
                   dataCase.TrainingCase = false;
                   if (attr.Length == 10)
                   {
                       foreach (var attribute in attr)
                       {
                           if (counter >= 9) break;

                           var stripped = attribute.Trim();
                           var attributeType = dataSet.AttributeTypes.FirstOrDefault(x => x.Position == counter);

                           if (counter == 0)
                           {
                               if (stripped == "-1")
                               {
                                   stripped = "Winter";
                               }
                               else if (stripped == "-0.33")
                               {
                                   stripped = "Spring";
                               }
                               else if (stripped == "0.33")
                               {
                                   stripped = "Summer";
                               }
                               else if (stripped == "1")
                               {
                                   stripped = "Fall";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else if (counter == 1)
                           {
                               var val = double.Parse(stripped.Replace('.',','));
                               val = Math.Round(18 + (val * (36 - 18)));
                               stripped = ""+(int)val;
                           }
                           else if (counter == 5)
                           {
                               if (stripped == "-1")
                               {
                                   stripped = "Less than three months ago";
                               }
                               else if (stripped == "0")
                               {
                                   stripped = "More than three months ago";
                               }
                               else if (stripped == "1")
                               {
                                   stripped = "No fevers";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else if (counter == 6)
                           {
                               if (stripped == "0.2")
                               {
                                   stripped = "Several times a day";
                               }
                               else if (stripped == "0.4")
                               {
                                   stripped = "Every day";
                               }
                               else if (stripped == "0.6")
                               {
                                   stripped = "Several times a week";
                               }
                               else if (stripped == "0.8")
                               {
                                   stripped = "Once a week";
                               }
                               else if (stripped == "1")
                               {
                                   stripped = "Hardly ever or never";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else if (counter == 7)
                           {
                               if (stripped == "-1")
                               {
                                   stripped = "Never";
                               }
                               else if (stripped == "0")
                               {
                                   stripped = "Occasional";
                               }
                               else if (stripped == "1")
                               {
                                   stripped = "Daily";
                               }
                               else
                               {
                                   stripped = "?";
                               }
                           }
                           else if (counter == 8)
                           {
                               var val = double.Parse(stripped.Replace('.', ','));
                               val = Math.Round(1 + (val * (16 - 1)));
                               stripped = "" + (int)val;
                           }
                           else
                           {
                               stripped = (stripped == "1" ? "true" : "false");
                           }

                           dataCase.Attributes.Add(new DataAttribute()
                           {
                               DataSet = dataSet,
                               Value = stripped,
                               AttributeType = attributeType
                           });
                           counter++;
                       }

                       if (attr[9] == "N")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 28);
                       }
                       else if (attr[9] == "O")
                       {
                           dataCase.DataClass = context.DataClasses.FirstOrDefault(x => x.Id == 29);
                       }



                       context.DataCases.Add(dataCase);

                       numbersAdded++;

                   }
                   else
                   {
                       var tt = "";
                       var aa = tt;
                   }
               }
               context.SaveChanges();
           }
           // var text = System.IO.File.ReadAllLines()
           var test = file;
       }

    }
}



