﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain.DTO;

namespace Domain.Implementation
{
    public static class InferenceModule
    {

        public static int count = 0;

        public static List<DataAttribute> InferAnswers(int dataSetId, List<DataAttribute> currentQuery, List<AttributeType> attributes)
        {
            if (dataSetId != 6)
            {
                return currentQuery;
            }
            
            var smoker = currentQuery.FirstOrDefault(x => x.AttributeType.Id == 120);
            var cigarettsDaily = currentQuery.FirstOrDefault(x => x.AttributeType.Id == 121);
            var yearsSmoked = currentQuery.FirstOrDefault(x => x.AttributeType.Id == 122);
            var yearsQuit = currentQuery.FirstOrDefault(x => x.AttributeType.Id == 123);

            //Check if smoker == "1" (Never)
            if (smoker != null)
            {
                if (smoker.Value == "1")
                {
                    //Set Cigarets Daily = 0
                    if (cigarettsDaily != null)
                    {
                        if (String.IsNullOrEmpty(cigarettsDaily.Value))
                        {
                            cigarettsDaily.Value = "0";
                        }
                    }
                    else
                    {
                        currentQuery.Add(new DataAttribute { Value = "0", AttributeType = attributes.FirstOrDefault(x => x.Id == 121) });
                        count++;
                    }
                    
                    //Set Years Smoked = 0
                    if (yearsSmoked != null)
                    {
                        if (String.IsNullOrEmpty(yearsSmoked.Value))
                        {
                            yearsSmoked.Value = "0";
                        }
                    }
                    else
                    {
                        currentQuery.Add(new DataAttribute { Value = "0", AttributeType = attributes.FirstOrDefault(x => x.Id == 122) });
                        count++;
                    }
                    
                    //Set Years quit = 0
                    if (yearsQuit != null)
                    {
                        if (String.IsNullOrEmpty(yearsQuit.Value))
                        {
                            yearsQuit.Value = "0";
                        }
                    }
                    else
                    {
                        currentQuery.Add(new DataAttribute { Value = "0", AttributeType = attributes.FirstOrDefault(x => x.Id == 123) });
                        count++;
                    }
                }
            }

            //Check years smoked
            if (yearsSmoked != null)
            {
                if (yearsSmoked.Value == "0")
                {
                    //Set smoker = 1 (never)
                    if (smoker != null)
                    {
                        if (String.IsNullOrEmpty(smoker.Value))
                        {
                            smoker.Value = "1";
                        }
                    }
                    else
                    {
                        currentQuery.Add(new DataAttribute { Value = "1", AttributeType = attributes.FirstOrDefault(x => x.Id == 120) });
                        count++;
                    }
                }
            }

            //Check years quit
            if (yearsQuit != null)
            {
                var val = 0;
                if (Int32.TryParse(yearsQuit.Value, out val))
                {
                    if (val > 0)
                    {

                        //Set smoker = 2 (former)
                        if (smoker != null)
                        {
                            if (String.IsNullOrEmpty(smoker.Value))
                            {
                                smoker.Value = "2";
                            }
                        }
                        else
                        {
                            currentQuery.Add(new DataAttribute { Value = "2", AttributeType = attributes.FirstOrDefault(x => x.Id == 120) });
                            count++;
                        }
                    }

                }
                else if (yearsQuit.Value == "0")
                {
                    //Check Cigaretts daily
                    if (cigarettsDaily != null)
                    {
                        if (Int32.Parse(cigarettsDaily.Value) > 0)
                        {
                            //Set smoker = 3 (current)
                            if (smoker != null)
                            {
                                if (String.IsNullOrEmpty(smoker.Value))
                                {
                                    smoker.Value = "3";
                                }
                            }
                            else
                            {
                                currentQuery.Add(new DataAttribute { Value = "3", AttributeType = attributes.FirstOrDefault(x => x.Id == 120) });
                                count++;
                            }
                        }
                    }
                    //Check if years smoked > 0
                    else if(yearsSmoked != null)
                    {
                        var val2 = 0;
                        if (Int32.TryParse(yearsSmoked.Value, out val2))
                        {
                            if (val2 > 0)
                            {
                                //Set smoker = 3 (current)
                                if (smoker != null)
                                {
                                    if (String.IsNullOrEmpty(smoker.Value))
                                    {
                                        smoker.Value = "3";
                                    }
                                }
                                else
                                {
                                    currentQuery.Add(new DataAttribute { Value = "3", AttributeType = attributes.FirstOrDefault(x => x.Id == 120) });
                                    count++;
                                }
                            }
                        }
                    }
                }
            }
            System.Diagnostics.Debug.WriteLine(count);
            
            return currentQuery;
        }


        public static List<DataAttribute> InferAnswersStatisticly(List<RelatedAttributesSimulated> attributeRelations, List<DataAttribute> currentQuery,  List<AttributeType> attributes, 
                                                                    DataAttribute lastAnswer, double probabilityThreshold = 0.0,  int numberOfIterationsAhead = 1, int numberOfRelatedRelationsToRun = 1)
        {
            var inferedAnswers = new List<DataAttribute>();
            var counter = 0;
            var lastAttributeId = lastAnswer.AttributeType.Id;
            while (counter < numberOfIterationsAhead)
            {
                if (lastAnswer != null)
                {
                    var result = attributeRelations.Where(x => x.AttributeId == lastAttributeId && x.Value == lastAnswer.Value && x.Probability >= probabilityThreshold).OrderByDescending(x => x.Probability);
                    if (result.Any())
                    {
                        var iterationsCounter = 0;
                        foreach (var relatedAttribute in result)
                        {
                            if (iterationsCounter >= numberOfRelatedRelationsToRun) break;
                            var caseCurrent =
                                currentQuery.FirstOrDefault(x => x.AttributeType.Id == relatedAttribute.RelatedAttributeId);
                            if (caseCurrent == null)
                            {
                                var attribute =
                                    attributes.FirstOrDefault(
                                        x => x.Id == relatedAttribute.RelatedAttributeId);
                                if (attribute != null)
                                {
                                    inferedAnswers.Add(new DataAttribute { AttributeType = attribute, Value = relatedAttribute.RelatedValue });

                                    lastAttributeId = attribute.Id;
                                }

                            }
                            iterationsCounter++;
                        }

                    }
                    else
                    {
                        break;
                    }
                }
                counter++;

            }
            return inferedAnswers;
        }
    }
}
