namespace Domain.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Addedmodels : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.DataAttributes",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Value = c.String(),
                        AttributeType_Id = c.Int(),
                        DataSet_Id = c.Int(),
                        Case_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("dbo.AttributeTypes", t => t.AttributeType_Id)
                .ForeignKey("dbo.DataSets", t => t.DataSet_Id)
                .ForeignKey("dbo.Cases", t => t.Case_Id)
                .Index(t => t.AttributeType_Id)
                .Index(t => t.DataSet_Id)
                .Index(t => t.Case_Id);
            
            CreateTable(
                "dbo.AttributeTypes",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                        Type = c.Int(nullable: false),
                        MinRange = c.Int(nullable: false),
                        MaxRange = c.Int(nullable: false),
                        Question = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.MultiSelects",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                        AttributeType_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("dbo.AttributeTypes", t => t.AttributeType_Id)
                .Index(t => t.AttributeType_Id);
            
            CreateTable(
                "dbo.DataSets",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.DataClasses",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                        DataSet_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("dbo.DataSets", t => t.DataSet_Id)
                .Index(t => t.DataSet_Id);
            
            CreateTable(
                "dbo.Cases",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        DataClass_Id = c.Int(),
                        DataSet_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("dbo.DataClasses", t => t.DataClass_Id)
                .ForeignKey("dbo.DataSets", t => t.DataSet_Id)
                .Index(t => t.DataClass_Id)
                .Index(t => t.DataSet_Id);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Cases", "DataSet_Id", "dbo.DataSets");
            DropForeignKey("dbo.Cases", "DataClass_Id", "dbo.DataClasses");
            DropForeignKey("dbo.DataAttributes", "Case_Id", "dbo.Cases");
            DropForeignKey("dbo.DataClasses", "DataSet_Id", "dbo.DataSets");
            DropForeignKey("dbo.DataAttributes", "DataSet_Id", "dbo.DataSets");
            DropForeignKey("dbo.DataAttributes", "AttributeType_Id", "dbo.AttributeTypes");
            DropForeignKey("dbo.MultiSelects", "AttributeType_Id", "dbo.AttributeTypes");
            DropIndex("dbo.Cases", new[] { "DataSet_Id" });
            DropIndex("dbo.Cases", new[] { "DataClass_Id" });
            DropIndex("dbo.DataAttributes", new[] { "Case_Id" });
            DropIndex("dbo.DataClasses", new[] { "DataSet_Id" });
            DropIndex("dbo.DataAttributes", new[] { "DataSet_Id" });
            DropIndex("dbo.DataAttributes", new[] { "AttributeType_Id" });
            DropIndex("dbo.MultiSelects", new[] { "AttributeType_Id" });
            DropTable("dbo.Cases");
            DropTable("dbo.DataClasses");
            DropTable("dbo.DataSets");
            DropTable("dbo.MultiSelects");
            DropTable("dbo.AttributeTypes");
            DropTable("dbo.DataAttributes");
        }
    }
}
