﻿using System.Web.Mvc;
using Domain.DTO.DialogueModels;
using Domain.Implementation;
using Master.Models;

namespace Master.Controllers
{
    public class DialogueController : Controller
    {
        public ActionResult Index()
        {
            var question = DialogueManager.GetInstance().StartDialogue();
            var viewModel = new DialogueModel.QuestionViewModel
            {
                DataClass = question.DataClass,
                Question = question.Question
            };
            return View("StartDialogue", viewModel);
        }

        
        public ActionResult PostAnswer(string value, string extraValue, int attributeValueId)
        {
            if(!string.IsNullOrEmpty(extraValue))
            {
                value += "-" + extraValue;
            }

            DialogueManager.GetInstance().AddAnswerToQuestion(value, attributeValueId);
            var nextQuestion = DialogueManager.GetInstance().GetNextQuestion();
             
            var viewModel = new DialogueModel.QuestionViewModel
            {
                DataClass = nextQuestion.DataClass,
                ScoreObjects = nextQuestion.ScoreObjects,
                DataCasesWithSameAttributes = nextQuestion.DataCasesWithSameAttributes,
                NumberOfAskedQuestions = nextQuestion.NumberOfAskedQuestions,
                Message = nextQuestion.Message,
                CurrentQuery = nextQuestion.CurrentQuery
            };

            if (nextQuestion.Question == null)
            {
                viewModel.QuestionId = 0;
                viewModel.Finished = true;
            }
            else
            {
                viewModel.Finished = false;
                viewModel.Question = nextQuestion.Question;
                viewModel.QuestionId = nextQuestion.Question.Id;
            }

            return PartialView(viewModel);
        }
    }
}